Skip to main content
GET
/
files
/
{id}
cURL
curl --request GET \
  --url https://api.dock.us/{version}/files/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "file": {
      "id": "RiHO4e0Ju3DS",
      "updatedAt": "2021-01-01T00:00:00.000Z",
      "createdAt": "2021-01-01T00:00:00.000Z",
      "object": "file",
      "name": "contract.pdf",
      "thumbnail": "https://storage.googleapis.com/dock-production-private/thumbnails/contract.png",
      "size": 24576,
      "url": "https://storage.googleapis.com/dock-production-private/signed-url",
      "expiresAt": "2026-06-12T12:00:00.000Z"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier

Example:

"RiHO4e0Ju3DS"

Query Parameters

properties
enum<string>[]

Select the file properties that should be returned

Available options:
id,
object,
name,
thumbnail,
size,
url,
expiresAt

Response

File

data
object